# $Revision: 1.19 $, $Date: 2012/01/31 11:55:44 $
#
# Conditional build:
%bcond_with	openssl		# with openssl support (possible GPL violation)
#
Summary:	VPN Client for Cisco EasyVPN
Summary(pl.UTF-8):	Klient VPN dla Cisco EasyVPN
Name:		vpnc
Version:	0.5.3
Release:	2
License:	GPL
Group:		Networking/Daemons
Source0:	http://www.unix-ag.uni-kl.de/~massar/vpnc/%{name}-%{version}.tar.gz
# Source0-md5:	4378f9551d5b077e1770bbe09995afb3
Source1:	%{name}cfg
Source2:	%{name}.tmpfiles
Patch0:		%{name}-bash.patch
URL:		http://www.unix-ag.uni-kl.de/~massar/vpnc/
BuildRequires:	libgcrypt-devel
%{?with_openssl:BuildRequires:	openssl-devel}
BuildRequires:	perl-base
Requires:	bash
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A VPN client compatible with Cisco's EasyVPN equipment.

%description -l pl.UTF-8
Klient VPN kompatybilny ze sprzętem Cisco obsługującym EasyVPN.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall '-DVERSION=\"%{version}\"'%{?with_openssl: -DOPENSSL_GPL_VIOLATION}" \
	%{?with_openssl:OPENSSLLIBS="-lcrypto"}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir}/%{name},%{_mandir}/man{1,8},/var/run/%{name}} \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

install %{name}		$RPM_BUILD_ROOT%{_bindir}
install cisco-decrypt	$RPM_BUILD_ROOT%{_bindir}
install %{name}-{disconnect,script}	$RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1}	$RPM_BUILD_ROOT%{_bindir}
install pcf2vpnc	$RPM_BUILD_ROOT%{_bindir}
install %{name}.conf	$RPM_BUILD_ROOT%{_sysconfdir}
install %{name}.8	$RPM_BUILD_ROOT%{_mandir}/man8
install *.1		$RPM_BUILD_ROOT%{_mandir}/man1
ln -sf %{_bindir}/vpnc-script $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

install %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%{_sysconfdir}/%{name}
%attr(755,root,root) %{_bindir}/*
%dir /var/run/%{name}
/usr/lib/tmpfiles.d/%{name}.conf
%{_mandir}/man8/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vpnc.spec,v $
Revision 1.19  2012/01/31 11:55:44  baggins
- release 2

Revision 1.18  2012/01/31 11:32:24  baggins
- added tmpfiles config for systemd

Revision 1.17  2009/01/18 10:13:14  duddits
- up to 0.5.3
- bash.patch updated
- R: bash

Revision 1.16  2008/01/02 23:59:09  adamg
- openssl bcond

Revision 1.15  2008-01-02 23:56:44  darekr
- BR: perl-base, more docs

Revision 1.14  2008-01-02 23:43:27  adamg
- updated to 0.5.1; do not install source files

Revision 1.13  2007/06/29 16:22:19  mguevara
- up to 0.4.0-1, rekeying support

Revision 1.12  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.10  2005/12/13 15:51:53  glen
- adapterized (sorted %verify attrs)

Revision 1.9  2005/10/24 11:28:42  blues
- pass CC and don't use "-g"

Revision 1.8  2005/08/09 02:02:31  undefine
- suggestions by kuba staskiewicz <kuba@best.net.pl>
- add directory /var/run/vpnc
- link /usr/bin/vpnc-script to /etc/vpnc/vpnc-script
- vpnc-script is bash script, not sh
- release 2

Revision 1.7  2005/06/15 07:59:30  misi3k
- up to 0.3.3
- rel 1 [STBR]

Revision 1.6  2005/04/30 16:45:20  misi3k
- vpnccfg distfiles->cvs

Revision 1.5  2005/04/30 16:41:41  misi3k
- rel 2
- added simple "config maker" script

Revision 1.4  2004/11/23 18:20:31  misi3k
- updated to 0.3.2
- rel 1
- added pcf script
Note: STBR fur AC

Revision 1.3  2004/10/08 16:10:23  ankry
- cosmetics

Revision 1.2  2004/10/08 15:58:45  snurf
- fixed typos in pl desc

Revision 1.1  2004/10/08 15:40:50  misi3k
- new
